<script>
	import { goto } from '$app/navigation';
	import { Volume2Icon } from 'svelte-feather-icons';
	import Button from '../components/Main/Button.svelte';
	import { onMount } from 'svelte';
	import { isVisitor } from '../stores/stores';

	onMount(() => {
		if (sessionStorage.getItem('customerID')) {
			goto('/reserve');
		}
	});
</script>

<div class="relative h-full w-full overflow-hidden">
	<div class="absolute bg-primary-800 bg-opacity-30 z-10 h-screen w-screen" />
	<img
		class="absolute z-20 h-screen w-screen object-cover"
		src="main-hotel.jpg"
		alt="L'hotel vu de l'avant"
	/>
	<div class="absolute w-full h-full flex items-center justify-center" style="z-index: 100;">
		<div class="flex flex-col items-center gap-4 bg-black bg-opacity-60 p-4 text-white rounded-lg">
			<div
				class="flex flex-col items-center bg-primary-200 bg-opacity-90 p-2 text-black rounded-md"
			>
				<img src="logo-main.png" class="h-20" alt="logo" />
				<h1 class="flex gap-1">
					<Volume2Icon /><b>Rock</b> your hotel
				</h1>
			</div>
			<div class="flex gap-2">
				<Button
					type="secondary"
					on:click={() => {
						goto('/login');
					}}
				>
					Se connecter
				</Button>
				<Button
					type="secondary"
					on:click={() => {
						goto('/create-account');
					}}
				>
					Créer un compte
				</Button>
			</div>
			<Button
				type="primary"
				on:click={() => {
					$isVisitor = true;
					goto('/reserve');
				}}
			>
				Voir les chambres disponibles
			</Button>
		</div>
	</div>
</div>
